## org.plovr
Class PlovrClosureCompiler

    java.lang.Object
      com.google.javascript.jscomp.AbstractCompiler
          com.google.javascript.jscomp.Compiler
              org.plovr.PlovrClosureCompiler

All Implemented Interfaces:
  SourceExcerptProvider

    public class PlovrClosureCompiler

extends Compiler

`PlovrClosureCompiler` subclasses `Compiler` so that its `getDiagnosticGroups()` method can be overridden to return a `PlovrDiagnosticGroups`, which is a `DiagnosticGroups` that can be modified from outside the com.google.javascript.jscomp package.

Author:
  bolinfest@gmail.com (Michael Bolin)

Nested Class Summary

Nested classes/interfaces inherited from class com.google.javascript.jscomp.Compiler
`Compiler.CodeBuilder, Compiler.IntermediateState`

Nested classes/interfaces inherited from interface com.google.javascript.jscomp.SourceExcerptProvider
`SourceExcerptProvider.ExcerptFormatter, SourceExcerptProvider.SourceExcerpt`

Field Summary

Fields inherited from class com.google.javascript.jscomp.Compiler
`MOTION_ITERATIONS_ERROR, OPTIMIZE_LOOP_ERROR, recentChange, tracker`

Constructor Summary
`PlovrClosureCompiler()`

Method Summary
`protected PlovrDiagnosticGroups` `getDiagnosticGroups()`

Methods inherited from class com.google.javascript.jscomp.Compiler

`acceptConstKeyword, acceptEcmaScript5, buildKnownSymbolTable, check, compile, compile, compile, compile, compile, compile, compileModules, disableThreads, getAstDotGraph, getCodingConvention, getErrorCount, getErrorLevel, getErrorManager, getErrors, getInput, getInputsById, getMessages, getResult, getReverseAbstractInterpreter, getRoot, getSourceLine, getSourceMap, getSourceRegion, getState, getTopScope, getTypeRegistry, getWarningCount, getWarnings, hasErrors, init, init, init, initModules, initOptions, isIdeMode, isTypeCheckingEnabled, languageMode, newCompilerOptions, newExternInput, normalize, optimize, parse, parse, processDefines, rebuildInputsFromModules, removeExternInput, report, reportCodeChange, setErrorManager, setLoggingLevel, setPassConfig, setState, toSource, toSource, toSource, toSourceArray, toSourceArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlovrClosureCompiler

    public PlovrClosureCompiler()

Method Detail

### getDiagnosticGroups

    protected PlovrDiagnosticGroups getDiagnosticGroups()

  Overrides:
    `getDiagnosticGroups` in class `Compiler`